For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Company Permissions
              • POSTCreate Company Permission
              • PUTUpdate Company Permission
              • DELDelete Company Permission
              • GETList Company Roles
              • POSTCreate Company Role
              • GETGet Company Role Details
              • PUTUpdate Company Role
              • DELDelete Company Role
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompany Roles and Permissions

Delete Company Permission

DELETE
https://api-b2b.bigcommerce.com/api/v3/io/companies/permissions/:permissionId
DELETE
/api/v3/io/companies/permissions/:permissionId
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v3/io/companies/permissions/123456 \
> -H "X-Auth-Token: <apiKey>"
200200 - SUCCESS
1{
2 "code": 200,
3 "data": {},
4 "meta": {
5 "message": "SUCCESS"
6 }
7}
Deletes a custom Company permission. Predefined permissions cannot be deleted.
Was this page helpful?
Previous

Update Company Permission

Next

List Company Roles

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

permissionIdintegerRequired
The unique identifier for a Company permission.

Response

OK
codeinteger
dataobject
metaobject